local client_buttons = require("clients.binds.buttons")
local client_keys = require("clients.binds.keys")

-- Use xprop to get client properties.

return {
	-- All clients will match this rule.
	{
		rule = {},
		properties = {
			border_width = beautiful.border_width,
			border_color = beautiful.border_normal,

			focus = awful.client.focus.filter,
			raise = true,

			placement = awful.placement.no_overlap + awful.placement.no_offscreen,
			screen = awful.screen.preferred,
			buttons = client_buttons,
			keys = client_keys,
		}
	},

	-- Designate floating clients.
	{
		rule_any = {
			class = {
				"feh",
				"Tor Browser",		-- Needs a fixed window size to avoid fingerprinting by screen size.
				"zoom",
				"flameshot"
			},

			role = {
				"AlarmWindow",		-- Thunderbird's calendar.
				"ConfigManager",	-- Thunderbird's about:config.
				"pop-up", "Popup"
			}
		},

		properties = { floating = true }
	}

	-- Set Firefox to always map on the tag named "2" on screen 1.
	--[[
	{
		rule = { class="Firefox" },
		properties = {
			screen = 1,
			tag = "2"
		}
	},
	--]]
}
